document.addEventListener('DOMContentLoaded', () => {
  const panels = document.querySelectorAll('.panel');
  
  const observerOptions = {
    root: null,
    threshold: 0.3,
    rootMargin: "0px"
  };

  const observer = new IntersectionObserver((entries, observer) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('visible');
      }
    });
  }, observerOptions);

  panels.forEach(panel => {
    observer.observe(panel);
  });

  let scrollTimeout;
  window.addEventListener('scroll', () => {
    clearTimeout(scrollTimeout);
    const indicator = document.querySelector('.scroll-indicator');
    indicator.style.opacity = '0';
    indicator.style.transition = 'opacity 0.3s ease';
    
    scrollTimeout = setTimeout(() => {
      if (window.scrollY < 100) {
        indicator.style.opacity = '1';
      }
    }, 1000);
  });
});